### Function

# Gck Session open_async

#### Declaration [src]

    void
    gck_session_open_async (
      GckSlot* slot,
      GckSessionOptions options,
      GTlsInteraction* interaction,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Open a session on the slot. This call will return immediately and complete asynchronously.

This function completes asynchronously. Use `gck_session_open_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`slot`

  Type: `GckSlot`

  The slot to open session on.

  The data is owned by the caller of the function.

`options`

  Type: `GckSessionOptions`

  Session options.

`interaction`

  Type: `GTlsInteraction`

  Optional interaction for logins or object authentication.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

`user_data`

  Type: `gpointer`

  Data to pass to callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.